Hp Proliant 460c drivers

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Hp Proliant 460c drivers

Erick Ocrospoma

Hola,

Debido a un proyecto de la empresa donde trabajo se adquirieron 6 servidores blade HP proliant bl 460c. Todo bien con la instalación hasta que tras arrancar el SO, Debian no reconocia la tarjeta de red. Tecnicamente veia 8 interfaces pero ninguna tenia conexion (es un blade, recuerdo decia que era una interface b2net).

En la pagina de HP solo figura una iso pero me parece es para el smartarray, o driver de los discos (pero pude instalarlo, al menos, si  problemas).

Alguien ha instalado debian 7 en este modelo antes? O tal vez alguna idea? :(

La gente de HP dice que hay soporte oficial por parte de Redhat, y que probablemente en estos funcione correctamente. Somos muy fanaticos de Debian, casi todos nuestros servidores lo usan, de momento no queremos vernos obligados a usar otra distro. Salvo sea la unica solucion.

Gracias de antemano.

Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Alfonso Camacho
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Saludos:

En el curro tambien tenemos un chasis Blade con varios HP Proliant de
diferentes modelos y años, y aunque no los tengo aún actualizados a
Debian 7 la problemática que describes es idéntica a la que me
encontré con Debian 6.

El problema no es tanto de HP, sino de los interfaces Broadcom que
instalan estos servidores:

# lspci
...
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
BCM57711E 10-Gigabit PCIe
02:00.1 Ethernet controller: Broadcom Corporation NetXtreme II
BCM57711E 10-Gigabit PCIe

Para este NIC debes instalar el siguiente firmware:

http://packages.debian.org/wheezy/firmware-bnx2x

En modelos Proliant más antiguos puedes encontrarte interfaces de red
de 1Gb:

# lspci
...
03:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
BCM5708S Gigabit Ethernet (rev 12)
07:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
BCM5708S Gigabit Ethernet (rev 12)

Para lo cual necesitas el siguiente firmware:

http://packages.debian.org/wheezy/firmware-bnx2


Guárdate el firmare que corresponda con tu server en un pendrive o
dispositivo externo, haz la instalación sin red (seguramente ya lo
habrás hecho), y posteormente instalas el firmware que corresponda:

# dpkg -i /media/loquesea/firmware-bnx2

# update-initramfs -tu

Y reincias.

Entonces ya deberias tener tarjetas de red.




El 21/10/13 22:33, Erick Ocrospoma escribió:

> Hola,
>
> Debido a un proyecto de la empresa donde trabajo se adquirieron 6
> servidores blade HP proliant bl 460c. Todo bien con la instalación
> hasta que tras arrancar el SO, Debian no reconocia la tarjeta de
> red. Tecnicamente veia 8 interfaces pero ninguna tenia conexion (es
> un blade, recuerdo decia que era una interface b2net).
>
> En la pagina de HP solo figura una iso pero me parece es para el
> smartarray, o driver de los discos (pero pude instalarlo, al menos,
> si problemas).
>
> Alguien ha instalado debian 7 en este modelo antes? O tal vez
> alguna idea? :(
>
> La gente de HP dice que hay soporte oficial por parte de Redhat, y
> que probablemente en estos funcione correctamente. Somos muy
> fanaticos de Debian, casi todos nuestros servidores lo usan, de
> momento no queremos vernos obligados a usar otra distro. Salvo sea
> la unica solucion.
>
> Gracias de antemano.
>


- --
Alfonso <[hidden email]>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlJlnXYACgkQZgftj70QggmwWQCgm4iWSGaLaTnZMHdmhpbl6BhR
EfMAn1Rmq3A/vgtj30xr2mfdPT0OUedg
=XgHp
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/52659D7C.30609@...

Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Erick Ocrospoma


On Oct 21, 2013 4:33 PM, "Alfonso" <[hidden email]> wrote:
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Saludos:

Gracias por la pronta respuesta

>
> En el curro tambien tenemos un chasis Blade con varios HP Proliant de
> diferentes modelos y años, y aunque no los tengo aún actualizados a
> Debian 7 la problemática que describes es idéntica a la que me
> encontré con Debian 6.
>
> El problema no es tanto de HP, sino de los interfaces Broadcom que
> instalan estos servidores:
>
> # lspci
> ...
> 02:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
> BCM57711E 10-Gigabit PCIe
> 02:00.1 Ethernet controller: Broadcom Corporation NetXtreme II
> BCM57711E 10-Gigabit PCIe
>

Lastimosamente la salida de mi lspci es diferente:

Ethernet Controller: Emulex corporation One connect 10GB NIC (be3) (rev01)

Seguiré investigando. Gracias de todas formas :)

> Para este NIC debes instalar el siguiente firmware:
>
> http://packages.debian.org/wheezy/firmware-bnx2x
>
> En modelos Proliant más antiguos puedes encontrarte interfaces de red
> de 1Gb:
>
> # lspci
> ...
> 03:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
> BCM5708S Gigabit Ethernet (rev 12)
> 07:00.0 Ethernet controller: Broadcom Corporation NetXtreme II
> BCM5708S Gigabit Ethernet (rev 12)
>
> Para lo cual necesitas el siguiente firmware:
>
> http://packages.debian.org/wheezy/firmware-bnx2
>
>
> Guárdate el firmare que corresponda con tu server en un pendrive o
> dispositivo externo, haz la instalación sin red (seguramente ya lo
> habrás hecho), y posteormente instalas el firmware que corresponda:
>
> # dpkg -i /media/loquesea/firmware-bnx2
>
> # update-initramfs -tu
>
> Y reincias.
>
> Entonces ya deberias tener tarjetas de red.
>
>
>
>
> El 21/10/13 22:33, Erick Ocrospoma escribió:
> > Hola,
> >
> > Debido a un proyecto de la empresa donde trabajo se adquirieron 6
> > servidores blade HP proliant bl 460c. Todo bien con la instalación
> > hasta que tras arrancar el SO, Debian no reconocia la tarjeta de
> > red. Tecnicamente veia 8 interfaces pero ninguna tenia conexion (es
> > un blade, recuerdo decia que era una interface b2net).
> >
> > En la pagina de HP solo figura una iso pero me parece es para el
> > smartarray, o driver de los discos (pero pude instalarlo, al menos,
> > si problemas).
> >
> > Alguien ha instalado debian 7 en este modelo antes? O tal vez
> > alguna idea? :(
> >
> > La gente de HP dice que hay soporte oficial por parte de Redhat, y
> > que probablemente en estos funcione correctamente. Somos muy
> > fanaticos de Debian, casi todos nuestros servidores lo usan, de
> > momento no queremos vernos obligados a usar otra distro. Salvo sea
> > la unica solucion.
> >
> > Gracias de antemano.
> >
>
>
> - --
> Alfonso <[hidden email]>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.14 (GNU/Linux)
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
>
> iEYEARECAAYFAlJlnXYACgkQZgftj70QggmwWQCgm4iWSGaLaTnZMHdmhpbl6BhR
> EfMAn1Rmq3A/vgtj30xr2mfdPT0OUedg
> =XgHp
> -----END PGP SIGNATURE-----
>
>
> --
> To UNSUBSCRIBE, email to [hidden email]
> with a subject of "unsubscribe". Trouble? Contact [hidden email]
> Archive: http://lists.debian.org/52659D7C.30609@...
>

Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Camaleón
In reply to this post by Erick Ocrospoma
El Mon, 21 Oct 2013 15:33:57 -0500, Erick Ocrospoma escribió:

(ese html...)

> Debido a un proyecto de la empresa donde trabajo se adquirieron 6
> servidores blade HP proliant bl 460c. Todo bien con la instalación hasta
> que tras arrancar el SO, Debian no reconocia la tarjeta de red.
> Tecnicamente veia 8 interfaces pero ninguna tenia conexion (es un blade,
> recuerdo decia que era una interface b2net).
>
> En la pagina de HP solo figura una iso pero me parece es para el
> smartarray, o driver de los discos (pero pude instalarlo, al menos, si
> problemas).
>
> Alguien ha instalado debian 7 en este modelo antes? O tal vez alguna
> idea?
> :(

No he trabajado con esos equipos pero entiendo que lo primero que tienes
que hacer es saber de qué interfaz se trata (lspci) y comprobar si existe
algún módulo en el kernel que las gestione y también si necesitan algún
firmware para que funcionen correctamente. De lo contrario tendrás que
solicitar a HP los drivers para Debian :-(

En la página de la wiki de Debian tienes más información:

https://wiki.debian.org/Firmware
 
> La gente de HP dice que hay soporte oficial por parte de Redhat, y que
> probablemente en estos funcione correctamente. Somos muy fanaticos de
> Debian, casi todos nuestros servidores lo usan, de momento no queremos
> vernos obligados a usar otra distro. Salvo sea la unica solucion.

HP también es muy fanática de Debian, o bueno, al menos tiene servidores
y equipos certificados para esta nuestra distribución. Una pena que no te
proporcionen más ayuda en este caso.

Saludos,

--
Camaleón


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/pan.2013.10.22.13.23.11@...

Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

celtictux .
Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Camaleón
El Tue, 22 Oct 2013 16:31:10 +0200, celtictux . escribió:

> Prueba a ver, espero esto te sirva:
>
> http://www.emulex.com/downloads/emulex/drivers/linux/debian/drivers/
>
> http://www-dl.emulex.com/support/elx/rt960/b12/docs/linux/linux_manual_elx.pdf

¿Emulex?

Hum... busquemos:

sm01@stt008:~$ locate emulex
/lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex
/lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet
/lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko

root@stt008:~# modinfo /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
filename:       /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
license:        GPL
author:         ServerEngines Corporation
description:    ServerEngines BladeEngine 10Gbps NIC Driver 4.2.220u
version:        4.2.220u
srcversion:     37BCB0144B22E0B05771D68
alias:          pci:v000010DFd00000720sv*sd*bc*sc*i*
alias:          pci:v000010DFd0000E228sv*sd*bc*sc*i*
alias:          pci:v000010DFd0000E220sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000710sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000700sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000221sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000211sv*sd*bc*sc*i*
depends:        
intree:         Y
vermagic:       3.2.0-4-amd64 SMP mod_unload modversions
parm:           num_vfs:Number of PCI VFs to initialize (uint)
parm:           rx_frag_size:Size of a fragment that holds rcvd data. (ushort)

Pues hay un módulo pero quizá no le sirva para su modelo de adaptador o
tenga algún bug :-?

Saludos,

--
Camaleón


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]
Archive: http://lists.debian.org/pan.2013.10.22.14.45.07@...

Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Maykel Franco
2013-10-22 16:44 GMT+02:00 Camaleón <[hidden email]>:

>
> El Tue, 22 Oct 2013 16:31:10 +0200, celtictux . escribió:
>
> > Prueba a ver, espero esto te sirva:
> >
> > http://www.emulex.com/downloads/emulex/drivers/linux/debian/drivers/
> >
> > http://www-dl.emulex.com/support/elx/rt960/b12/docs/linux/linux_manual_elx.pdf
>
> ¿Emulex?
>
> Hum... busquemos:
>
> sm01@stt008:~$ locate emulex
> /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex
> /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet
> /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
>
> root@stt008:~# modinfo /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
> filename:       /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
> license:        GPL
> author:         ServerEngines Corporation
> description:    ServerEngines BladeEngine 10Gbps NIC Driver 4.2.220u
> version:        4.2.220u
> srcversion:     37BCB0144B22E0B05771D68
> alias:          pci:v000010DFd00000720sv*sd*bc*sc*i*
> alias:          pci:v000010DFd0000E228sv*sd*bc*sc*i*
> alias:          pci:v000010DFd0000E220sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000710sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000700sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000221sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000211sv*sd*bc*sc*i*
> depends:
> intree:         Y
> vermagic:       3.2.0-4-amd64 SMP mod_unload modversions
> parm:           num_vfs:Number of PCI VFs to initialize (uint)
> parm:           rx_frag_size:Size of a fragment that holds rcvd data. (ushort)
>
> Pues hay un módulo pero quizá no le sirva para su modelo de adaptador o
> tenga algún bug :-?
>
> Saludos,
>
> --
> Camaleón
>
>
> --
> To UNSUBSCRIBE, email to [hidden email]
> with a subject of "unsubscribe". Trouble? Contact [hidden email]
> Archive: http://lists.debian.org/pan.2013.10.22.14.45.07@...
>


Buenas Erick, solucionastes el problema? tengo el mismo problema pero
me pasa únicamente en uno de los 16 nodos del blade, solo en uno, en
los demás funciona correctamtente. He probado actualizar el firmware
con el SPP de HP 2017 pero me sigue pasando lo mismo. Pierde paquetes.

Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Erick Ocrospoma
Hola,

En mi caso fue una mala configuracion del VirtualConnect (cosa que escapa el SO).

Lo que si te puedo aconsejar es que escales el tema con HPE, es probable que se deba a un tema de Hardware (me ha pasado pero ya con otros modelos).
No estoy seguro si Debian entra dentro de sus OS soportados (RHEL y SLES lo son), ya que al abrir un caso con ellos siempre te piden un sosreport (lo sacas por cli), y un log generado por el mismo blade (a traves del web interface del iLO). Este ultimo es el que les permite a ellos si hay algun warning o error a nivel de hardware.

Y si, es bastante probable que el tema vaya por ahi, siempre te topas (y me he topado) con algun problemilla con los HP proliant.


Saludos.

2017-05-09 7:38 GMT-05:00 Maykel Franco <[hidden email]>:
2013-10-22 16:44 GMT+02:00 Camaleón <[hidden email]>:
>
> El Tue, 22 Oct 2013 16:31:10 +0200, celtictux . escribió:
>
> > Prueba a ver, espero esto te sirva:
> >
> > http://www.emulex.com/downloads/emulex/drivers/linux/debian/drivers/
> >
> > http://www-dl.emulex.com/support/elx/rt960/b12/docs/linux/linux_manual_elx.pdf
>
> ¿Emulex?
>
> Hum... busquemos:
>
> sm01@stt008:~$ locate emulex
> /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex
> /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet
> /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
>
> root@stt008:~# modinfo /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
> filename:       /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
> license:        GPL
> author:         ServerEngines Corporation
> description:    ServerEngines BladeEngine 10Gbps NIC Driver 4.2.220u
> version:        4.2.220u
> srcversion:     37BCB0144B22E0B05771D68
> alias:          pci:v000010DFd00000720sv*sd*bc*sc*i*
> alias:          pci:v000010DFd0000E228sv*sd*bc*sc*i*
> alias:          pci:v000010DFd0000E220sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000710sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000700sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000221sv*sd*bc*sc*i*
> alias:          pci:v000019A2d00000211sv*sd*bc*sc*i*
> depends:
> intree:         Y
> vermagic:       3.2.0-4-amd64 SMP mod_unload modversions
> parm:           num_vfs:Number of PCI VFs to initialize (uint)
> parm:           rx_frag_size:Size of a fragment that holds rcvd data. (ushort)
>
> Pues hay un módulo pero quizá no le sirva para su modelo de adaptador o
> tenga algún bug :-?
>
> Saludos,
>
> --
> Camaleón
>
>
> --
> To UNSUBSCRIBE, email to [hidden email]
> with a subject of "unsubscribe". Trouble? Contact [hidden email]
> Archive: http://lists.debian.org/pan.2013.10.22.14.45.07@...
>


Buenas Erick, solucionastes el problema? tengo el mismo problema pero
me pasa únicamente en uno de los 16 nodos del blade, solo en uno, en
los demás funciona correctamtente. He probado actualizar el firmware
con el SPP de HP 2017 pero me sigue pasando lo mismo. Pierde paquetes.




--


Erick.
Reply | Threaded
Open this post in threaded view
|

Re: Hp Proliant 460c drivers

Maykel Franco
El día 9 de mayo de 2017, 17:10, Erick Ocrospoma
<[hidden email]> escribió:

> Hola,
>
> En mi caso fue una mala configuracion del VirtualConnect (cosa que escapa el
> SO).
>
> Lo que si te puedo aconsejar es que escales el tema con HPE, es probable que
> se deba a un tema de Hardware (me ha pasado pero ya con otros modelos).
> No estoy seguro si Debian entra dentro de sus OS soportados (RHEL y SLES lo
> son), ya que al abrir un caso con ellos siempre te piden un sosreport (lo
> sacas por cli), y un log generado por el mismo blade (a traves del web
> interface del iLO). Este ultimo es el que les permite a ellos si hay algun
> warning o error a nivel de hardware.
>
> Y si, es bastante probable que el tema vaya por ahi, siempre te topas (y me
> he topado) con algun problemilla con los HP proliant.
>
>
> Saludos.
>
> 2017-05-09 7:38 GMT-05:00 Maykel Franco <[hidden email]>:
>>
>> 2013-10-22 16:44 GMT+02:00 Camaleón <[hidden email]>:
>> >
>> > El Tue, 22 Oct 2013 16:31:10 +0200, celtictux . escribió:
>> >
>> > > Prueba a ver, espero esto te sirva:
>> > >
>> > > http://www.emulex.com/downloads/emulex/drivers/linux/debian/drivers/
>> > >
>> > >
>> > > http://www-dl.emulex.com/support/elx/rt960/b12/docs/linux/linux_manual_elx.pdf
>> >
>> > ¿Emulex?
>> >
>> > Hum... busquemos:
>> >
>> > sm01@stt008:~$ locate emulex
>> > /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex
>> > /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet
>> >
>> > /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
>> >
>> > root@stt008:~# modinfo
>> > /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
>> > filename:
>> > /lib/modules/3.2.0-4-amd64/kernel/drivers/net/ethernet/emulex/benet/be2net.ko
>> > license:        GPL
>> > author:         ServerEngines Corporation
>> > description:    ServerEngines BladeEngine 10Gbps NIC Driver 4.2.220u
>> > version:        4.2.220u
>> > srcversion:     37BCB0144B22E0B05771D68
>> > alias:          pci:v000010DFd00000720sv*sd*bc*sc*i*
>> > alias:          pci:v000010DFd0000E228sv*sd*bc*sc*i*
>> > alias:          pci:v000010DFd0000E220sv*sd*bc*sc*i*
>> > alias:          pci:v000019A2d00000710sv*sd*bc*sc*i*
>> > alias:          pci:v000019A2d00000700sv*sd*bc*sc*i*
>> > alias:          pci:v000019A2d00000221sv*sd*bc*sc*i*
>> > alias:          pci:v000019A2d00000211sv*sd*bc*sc*i*
>> > depends:
>> > intree:         Y
>> > vermagic:       3.2.0-4-amd64 SMP mod_unload modversions
>> > parm:           num_vfs:Number of PCI VFs to initialize (uint)
>> > parm:           rx_frag_size:Size of a fragment that holds rcvd data.
>> > (ushort)
>> >
>> > Pues hay un módulo pero quizá no le sirva para su modelo de adaptador o
>> > tenga algún bug :-?
>> >
>> > Saludos,
>> >
>> > --
>> > Camaleón
>> >
>> >
>> > --
>> > To UNSUBSCRIBE, email to [hidden email]
>> > with a subject of "unsubscribe". Trouble? Contact
>> > [hidden email]
>> > Archive: http://lists.debian.org/pan.2013.10.22.14.45.07@...
>> >
>>
>>
>> Buenas Erick, solucionastes el problema? tengo el mismo problema pero
>> me pasa únicamente en uno de los 16 nodos del blade, solo en uno, en
>> los demás funciona correctamtente. He probado actualizar el firmware
>> con el SPP de HP 2017 pero me sigue pasando lo mismo. Pierde paquetes.
>>
>
>
>
> --
>
>
> Erick.


Eso haré, gracias Erick.